Bug 1807470 - Remove clamav-server dependency from clamsmtp
Summary: Remove clamav-server dependency from clamsmtp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: clamsmtp
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 12:45 UTC by Ihor Rusyn
Modified: 2020-04-07 05:23 UTC (History)
1 user (show)

Fixed In Version: clamsmtp-1.10-14.el7 clamsmtp-1.10-31.fc32 clamsmtp-1.10-31.fc31 clamsmtp-1.10-31.fc30
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-15 13:06:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Ihor Rusyn 2020-02-26 12:45:40 UTC
Description of problem:

Changes to clamav package builds from 0.99.4 onwards have changed the name of package clamav-server to clamd, this affects installs and upgrades of clamav with installed clamsmtp package

Version-Release number of selected component (if applicable):

clamsmtp-1.10-12

How reproducible:

Upgrade any old components of clamav with installed clamsmtp package

Steps to Reproduce:
1.
2.
3.

Actual results:

--> Processing Dependency: clamav-server for package: clamsmtp-1.10-12.el7.x86_64
---> Package clamd.x86_64 0:0.101.5-10.el7 will be an update
--> Finished Dependency Resolution
Error: Package: clamsmtp-1.10-12.el7.x86_64 (@epel)
           Requires: clamav-server
           Removing: clamd-0.101.5-1.el7.x86_64 (@epel)
               clamav-server = 0.101.5-1.el7
           Updated By: clamd-0.101.5-10.el7.x86_64 (epel)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:

no issues on upgrade process

Additional info:

Comment 1 Fedora Update System 2020-02-27 18:46:13 UTC
FEDORA-2020-53f6f738e8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-53f6f738e8

Comment 2 Fedora Update System 2020-02-27 18:46:14 UTC
FEDORA-2020-d3ae2163a8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d3ae2163a8

Comment 3 Fedora Update System 2020-02-27 18:46:15 UTC
FEDORA-2020-8f806c1920 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f806c1920

Comment 4 Fedora Update System 2020-02-27 18:46:16 UTC
FEDORA-EPEL-2020-054ffc87d0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-054ffc87d0

Comment 5 Fedora Update System 2020-02-28 01:27:36 UTC
clamsmtp-1.10-31.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d3ae2163a8

Comment 6 Fedora Update System 2020-02-29 03:11:34 UTC
clamsmtp-1.10-31.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f806c1920

Comment 7 Fedora Update System 2020-02-29 03:50:41 UTC
clamsmtp-1.10-14.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-054ffc87d0

Comment 8 Fedora Update System 2020-02-29 03:59:55 UTC
clamsmtp-1.10-31.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-53f6f738e8

Comment 9 Fedora Update System 2020-03-15 13:06:56 UTC
clamsmtp-1.10-14.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-03-20 00:14:38 UTC
clamsmtp-1.10-31.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-07 03:23:05 UTC
FEDORA-2020-8f806c1920 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-07 05:23:54 UTC
FEDORA-2020-53f6f738e8 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.